#------------------------------------SCHEDULES------------------------------------
#
#               Schedules are used to repeat functions. They are the
#                          main part of every Data Pack
#
#------------------------------------SCHEDULES------------------------------------

#-----------------Chains-------------------
schedule function chains:chains/-x/-x 1t
schedule function chains:chains/-x/-x2 2t
schedule function chains:chains/-x/-x3 3t
schedule function chains:chains/-x/-x4 4t
schedule function chains:chains/-x/-x5 5t
schedule function chains:chains/-x/-x6 6t
schedule function chains:chains/-x/-x7 7t
schedule function chains:chains/-z/-z 1t
schedule function chains:chains/-z/-z2 2t
schedule function chains:chains/-z/-z3 3t
schedule function chains:chains/-z/-z4 4t
schedule function chains:chains/-z/-z5 5t
schedule function chains:chains/-z/-z6 6t
schedule function chains:chains/-z/-z7 7t
schedule function chains:chains/-y/-y 1t
schedule function chains:chains/-y/-y2 2t
schedule function chains:chains/-y/-y3 3t
schedule function chains:chains/-y/-y4 4t
schedule function chains:chains/-y/-y5 5t
schedule function chains:chains/-y/-y6 6t
schedule function chains:chains/-y/-y7 7t
schedule function chains:chains/rotating 1t

scoreboard objectives add rotating dummy
#-----------------Chains-------------------

#-----------------Waterwheel-------------------
schedule function chains:schedules/waterwheel 1t
schedule function chains:waterwheel/decorations/decrotation 1t
schedule function chains:waterwheel/decorations/decplacements 1t
#-----------------Waterwheel-------------------

#----------------Sawmill---------------------
schedule function chains:schedules/sawmill 1t
schedule function chains:sawmill/tags/tags 1t

execute unless entity @r[tag=storage] run data merge storage sawmill {Items:[{Slot:1b,id:"minecraft:stone_button",Count:1b}]}
#----------------Sawmill---------------------

#------------------Mechanical Fan-------------------
schedule function chains:schedules/mechanical_fan 1t

scoreboard objectives add water dummy
scoreboard objectives add lava dummy
scoreboard objectives add soul dummy
scoreboard objectives add process dummy
scoreboard objectives add smoke dummy
#------------------Mechanical Fan-------------------

#---------------------Wrench---------------------
schedule function chains:wrench/rotation 1t
schedule function chains:wrench/setup 1t
schedule function chains:wrench/breaking 1t
schedule function chains:wrench/chainsbox/setup 1t
schedule function chains:wrench/chainsbox/x_y 1t
schedule function chains:wrench/chainsbox/x_z 1t
schedule function chains:wrench/chainsbox/z_y 1t
#---------------------Wrench---------------------

#---------------------Windmill---------------------
schedule function chains:schedules/windmill 1t
schedule function chains:windmill/decorations/decrotation 1t

scoreboard objectives add completion dummy
#---------------------Windmill---------------------

#---------------------Crusher---------------------
schedule function chains:schedules/crushers 1t
schedule function chains:crushers/tags/tags 1t

execute unless entity @r[tag=storage] run data merge storage crusher {Items:[{Slot:1b,id:"minecraft:stone_button",Count:1b}]}

scoreboard objectives add power dummy
scoreboard objectives add horse minecraft.custom:minecraft.horse_one_cm
#---------------------Crusher---------------------

#------------------Box o' Chains-----------------
schedule function chains:schedules/chainsbox 1t

scoreboard objectives add outputs dummy
#------------------Box o' Chains-----------------

#------------------Crushing Wheels-----------------
schedule function chains:schedules/crushing_wheels 1t

execute unless entity @r[tag=storage] run data merge storage crushing_wheels {Items:[{Slot:1b,id:"minecraft:stone_button",Count:1b}]}
#------------------Crushing Wheels-----------------

#------------------Goggles-----------------
schedule function chains:goggles/actionbars 1t
schedule function chains:goggles/additions 1t

scoreboard objectives add timer dummy
#------------------Goggles-----------------

#-----------------Pipes-------------------
schedule function chains:schedules/pipes 1t
schedule function chains:pipes/placement 1t

scoreboard objectives add pipe_facing dummy
#-----------------Pipes-------------------

#------------------Ages-----------------
schedule function chains:advancements/progression 1t

scoreboard objectives add ages dummy
#------------------Ages-----------------

#------------------Additions-----------------
tag @a add storage
#------------------Additions-----------------